Subject: Re: kernel BUG at kernel/timer.c:748!

From: Dave Jones <[email-masked]>
Date: Mon, 24 Sep 2012 13:11:52 -0400

On Mon, Sep 24, 2012 at 07:00:11PM +0200, Eric Dumazet wrote:
 > Signed-off-by: Eric Dumazet <[email-masked]>
 > 
 > On Mon, 2012-09-24 at 18:34 +0200, Eric Dumazet wrote:
 > 
 > > OK, I believe I found the reason. I Will post a patch.
 > > 
 > > open a raw socket AF_INET, TCP_PROTO
 > > + connect() ->sk_state set to TCP_ESTABLISHED
 > > + setsockopt( SO_KEEPALIVE, &on)  -> crash
 > 
 > I confirm following patch fixes the problem for me.
 > 
 > Thanks again
 > 
 > [PATCH] net: guard tcp_set_keepalive() to tcp sockets
 > 
 > Its possible to use RAW sockets to get a crash in 
 > tcp_set_keepalive() / sk_reset_timer()
 > 
 > Fix is to make sure socket is a SOCK_STREAM one.

Great, I'll give this a shot.

Any idea why this only just started triggering ?
(Ie, do we need this for stable too?)

thanks,

	Dave